Security Lab

Межсайтовый скриптинг в WoltLab Burning Board

Дата публикации:26.04.2005
Всего просмотров:1697
Опасность:
Низкая
Наличие исправления:
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты:
Уязвимые версии: WoltLab Burning Board 2.3.1 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и получить доступ к потенциально важным данным других пользователей.

Уязвимость существует в сценарии 'thread.php' из-за некорректной обработки входных данных в параметре 'hilight'. Удаленный пользователь может с помощью специально сформированного URL выполнить произвольный HTML сценарий в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

/thread.php?threadid=[TOPIC_ID]&hilight=[XSS]

URL производителя: www.woltlab.de

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: WBB - WoltLab Burning Board <= 2.3.1 - XSS Vulnerability